/*

cls_2: Curl Like Syntax
Yauheni A. Akhotnikau (C) 2001-2003
eao197@yahoo.com
-------------------------------------------------

Permission is granted to anyone to use this software for any purpose on any
computer system, and to redistribute it freely, subject to the following
restrictions:

1. This software is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

2. The origin of this software must not be misrepresented, either by
   explicit claim or by omission.

3. Altered versions must be plainly marked as such, and must not be
   misrepresented as being the original software.

-------------------------------------------------

*/
#include <assert.h>

#include <cls_2/h/def_msg_storage.hpp>

namespace cls_2 {

//
// def_msg_storage_t
//

def_msg_storage_t::def_msg_storage_t() {
}

def_msg_storage_t::~def_msg_storage_t() {
}

const char *
def_msg_storage_t::find( int msg_id ) const {
	switch( msg_id ) {
		case	c_msg_undefined_mandatory_tag :
			return " : undefined mandatory tag\n";

		case	c_msg_unfinished_back_slash_seq :
			return "unfinished back slash sequence\n";

		case	c_msg_invalid_back_slash_seq :
			return "invalid back slash sequence\n";

		case	c_msg_unclosed_comment :
			return "unclosed comment\n";

		case	c_msg_tag_expected :
			return "tag expected\n";

		case	c_msg_syntax_error :
			return "syntax error\n";

		case	c_msg_tag_name_expected :
			return "tag name expected\n";

		case	c_msg_fill_tag_name_error :
			return "space or } expected after tag name\n";

		case	c_msg_enclosed_string :
			return "unclosed string\n";

		case	c_msg_unexpected_eof :
			return "unexpected EOF\n";

		case	c_msg_missmatched_close_block_count :
			return "mismatched count of }\n";

		case	c_msg_unknown_tag :
			return " : unknown tag\n";

		case	c_msg_tag_already_defined :
			return " : tag (or tag value) already defined\n";

		case	c_msg_tag_value_must_be_specified :
			return " : tag value must be specified\n";

		case	c_msg_invalid_value :
			return " : invalid or disallowed value\n";

		case	c_msg_unexpected_tok_string :
			return "unexpected 'STRING' token\n";

		case	c_msg_unexpected_tok_nonspace :
			return "unexpected 'NONSPACE' token\n";

		case	c_msg_value_out_of_range :
			return " : out of range\n";
	}

	return "ERROR MESSAGE NOT FOUND\n";
}

} /* namespace cls_2 */
